﻿namespace BlockMania.Util.PrecisionTiming.Base
{
	/// <summary>
	/// The Mode for the <see cref="PrecisionTimer"/>
	/// </summary>
	public enum TimerMode
	{
		///<summary> Timer event occurs once.</summary>
		OneShot,

		/// <summary>Timer event occurs periodically.</summary>
		Periodic,

		/// <summary>Timer event occurs periodically using a semaphore on the Action</summary>
		PeriodicSemaphore
	}
}