using BlockMania.Global;

namespace BlockMania.Util
{
	internal class RepetitionChecker
	{
		private UserInput inputPrevious = UserInput.NONE;

		internal bool IsNotRepeating(UserInput input)
		{
			return !IsRepeating(input);
		}

		internal bool IsRepeating(UserInput input)
		{
			if (input != UserInput.NONE && input == inputPrevious)
			{
				return true;
			}
			else
			{
				inputPrevious = input;
				return false;
			}

		}
	}
}