﻿using System.Drawing;

namespace BlockMania.Global
{
	internal static class GlobalColors
	{
		internal  static readonly Brush BRUSH_BLACK = Brushes.Black;
		internal static readonly Brush BRUSH_WHITE = Brushes.White;

		private  static readonly Color COLOR_RED = Color.FromArgb(175, 27, 27);
		internal static readonly Brush BRUSH_RED = new SolidBrush(COLOR_RED);

		private  static readonly Color COLOR_YELLOW = Color.FromArgb(255, 204, 3);
		internal static readonly Brush BRUSH_YELLOW = new SolidBrush(COLOR_YELLOW);

		private  static readonly Color COLOR_PINK = Color.FromArgb(255, 155, 155);
		internal static readonly Brush BRUSH_PINK = new SolidBrush(COLOR_PINK);

		internal static readonly Color PANEL_COLOR = COLOR_RED;
		internal static readonly Brush PANEL_BRUSH = new SolidBrush(PANEL_COLOR);

		internal static readonly Brush GAME_FIELD_COLOR        = BRUSH_BLACK;
		internal static readonly Color GAME_FIELD_GRID_COLOR   = Color.DarkSlateGray;
		internal static readonly Brush GAME_FIELD_BORDER_COLOR = BRUSH_YELLOW;

		internal static readonly Color WINDOW_COLOR = Color.Black;
		internal static readonly Brush BRUSH_TRANSITION_BLINDS = new SolidBrush(Color.DarkOrange);
	}
}