﻿using System;
using BlockMania.Global;

namespace BlockMania.Util.BlockTools
{
	internal static class OffsetTool
	{
		internal static void CalculateInitialRowOffset(Block block)
		{
			int rowSmallest = 10; // Willekeurige startnummer.

			foreach (Tile tile in block.tiles)
			{
				if (tile.row < rowSmallest)
				{
					rowSmallest = tile.row;
				}
			}

			block.offset.row = (0 - rowSmallest);
		}

		internal static void CalculateInitialColOffset(Block block)
		{
			double d = (GlobalData.COL_COUNT - block.widthInTiles) / 2.0;
			block.offset.col = (int) Math.Floor(d);
		}

	}
}