﻿using System;

namespace BlockMania.Util.PrecisionTiming.Exception
{
	/// <summary>
	/// Occurs when the <see cref="PrecisionTimer"/> fails to Start
	/// </summary>
	[Serializable]
	public class TimerStartException : System.Exception
	{
		/// <summary>
		/// Occurs when the <see cref="PrecisionTimer"/> fails to Start
		/// </summary>
		/// <param name="message">User friendly error message</param>
		public TimerStartException(string message)
			: base(message)
		{
			Console.WriteLine(message);
		}
	}
}